Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Universal Database
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db2adapter.base
Class DriverPropertiesURI

    java.lang.Object
      com.stc.connector.db2adapter.base.DriverPropertiesURI

    public class DriverPropertiesURI

extends java.lang.Object

Version:
  $Revision: 1.6 $
Author:
  $Author: cmbuild $

Constructor Summary
`DriverPropertiesURI()`
`DriverPropertiesURI(java.lang.String locName, java.lang.String collID)` DriverPropertiesURI constructor
`DriverPropertiesURI(java.lang.String sName, java.lang.String pNumber, java.lang.String dbName)` DriverPropertiesURI constructor.
`DriverPropertiesURI(java.lang.String sName, java.lang.String pNumber, java.lang.String dbName, java.lang.String delim)` DriverPropertiesURI constructor.
`DriverPropertiesURI(java.lang.String sName, java.lang.String pNumber, java.lang.String locName, java.lang.String collID, java.lang.String delim)`

Method Summary
`protected java.lang.String` | `appendExtendedOptions(java.lang.String driverProps)`
`java.lang.String` | `getDatabaseName()` Gets databaseName
`java.lang.String` | `getDelimiter()` Gets delimiter
`java.lang.String` | `getPortNumber()` Gets port number
`java.lang.String` | `getServerName()` Gets serverName
`void` | `setDatabaseName(java.lang.String dbName)` Sets databaseName
`void` | `setDelimiter(java.lang.String delim)` Sets delimiter
`protected void` | `setExtendedOptions(java.lang.String value)` For DataDirect drivers, this value needs to be set for reconnection to work after the database toggles.
`void` | `setPortNumber(java.lang.String pNumber)` sets port number
`void` | `setServerName(java.lang.String sName)` Sets serverName
`java.lang.String` | `toString()` toString()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DriverPropertiesURI

    public DriverPropertiesURI(java.lang.String sName,
                               java.lang.String pNumber,
                               java.lang.String dbName)

  DriverPropertiesURI constructor.

  Parameters:
    `sName` - - server name
    `pNumber` - - port number
    `dbName` - - database name

### DriverPropertiesURI

    public DriverPropertiesURI(java.lang.String sName,
                               java.lang.String pNumber,
                               java.lang.String locName,
                               java.lang.String collID,
                               java.lang.String delim)

Parameters:
  `sName` -
  `pNumber` -
  `locName` -
  `collID` -
  `delim` -

### DriverPropertiesURI

    public DriverPropertiesURI(java.lang.String sName,
                               java.lang.String pNumber,
                               java.lang.String dbName,
                               java.lang.String delim)

  DriverPropertiesURI constructor.

  Parameters:
    `sName` - - server name
    `pNumber` - - port number
    `dbName` - - database name
    `delim` - - delimiter field

### DriverPropertiesURI

    public DriverPropertiesURI(java.lang.String locName,
                               java.lang.String collID)

  DriverPropertiesURI constructor

  Parameters:
    `locName` -
    `collID` -

### DriverPropertiesURI

    public DriverPropertiesURI()

Method Detail

### getServerName

    public java.lang.String getServerName()

  Gets serverName

  Returns:
    a serverName in String.

### setServerName

    public void setServerName(java.lang.String sName)

  Sets serverName

  Parameters:
    `sName` - - server name.

### getPortNumber

    public java.lang.String getPortNumber()

  Gets port number

  Returns:
    a port number in String

### setPortNumber

    public void setPortNumber(java.lang.String pNumber)

  sets port number

  Parameters:
    `pNumber` - - port number

### getDatabaseName

    public java.lang.String getDatabaseName()

  Gets databaseName

  Returns:
    a database name in String.

### setDatabaseName

    public void setDatabaseName(java.lang.String dbName)

  Sets databaseName

  Parameters:
    `dbName` - - database name.

### getDelimiter

    public java.lang.String getDelimiter()

  Gets delimiter

  Returns:
    the demiliter in String.

### setDelimiter

    public void setDelimiter(java.lang.String delim)

  Sets delimiter

  Parameters:
    `delim` - - delimiter value.

### setExtendedOptions

    protected void setExtendedOptions(java.lang.String value)

  For DataDirect drivers, this value needs to be set for reconnection to work after the database toggles. The value should be something like is validateIsClosed=true

  Parameters:
    `value` -

### appendExtendedOptions

    protected java.lang.String appendExtendedOptions(java.lang.String driverProps)

### toString

    public java.lang.String toString()

  toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the value of the URI in string

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Universal Database
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD